﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinTree;
using Infragistics.Win;

namespace WinTreeFutureRequest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
           
            
        }
        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");
            table0.Columns.Add("ID", typeof(int));
            table0.Columns.Add("Dosage", typeof(int));
            table0.Columns.Add("Drug", typeof(string));
            table0.Columns.Add("Patient", typeof(string));
            table0.Columns.Add("Date", typeof(DateTime));

            table0.Rows.Add(1, 25, "Indocin", "David", DateTime.Now);
            table0.Rows.Add(2, 50, "Enebrel", "Sam", DateTime.Now);
            table0.Rows.Add(3, 10, "Hydralazine", "Christoff", DateTime.Now);
            table0.Rows.Add(4, 21, "Combivent", "Janet", DateTime.Now);
            table0.Rows.Add(5, 100, "Dilantin", "Melanie", DateTime.Now);

            DataTable table1 = new DataTable("Patient Inof");
            
            //table1.Columns.Add("PIID", typeof(int));
            table1.Columns.Add("TFID", typeof(int));
            table1.Columns.Add("Line", typeof(string));
            table1.Columns.Add("Name", typeof(string));
            
            //table1.Columns.Add("Inspection", typeof(string));
           // table1.Columns.Add("Date", typeof(DateTime));

            table1.Rows.Add( 1,"L", "David");//, "Control");//, DateTime.Now);
            table1.Rows.Add( 1, "L", "David");//, "Patient visitation");//, DateTime.Now);
            table1.Rows.Add( 1, "L", "David");//, "Patient visitation");//, DateTime.Now);
            table1.Rows.Add( 2, "L", "Sam");//, "Control");//, DateTime.Now);
            table1.Rows.Add( 3, "L", "Christoff");//, "Control");//, DateTime.Now);
            table1.Rows.Add( 4, "L", "Janet");//, "Control");//, DateTime.Now);
            table1.Rows.Add( 4, "L", "Janet");//, "Patient visitation");//, DateTime.Now);
            table1.Rows.Add( 5, "L", "Melanie");//, "Control");//, DateTime.Now);
            table1.Rows.Add( 5, "L", "Melanie");//, "Patient visitation");//, DateTime.Now);


            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);
            RetDataSet.Tables.Add(table1);
            RetDataSet.Relations.Add(RetDataSet.Tables["Treatment Fluu"].Columns["ID"],
            RetDataSet.Tables["Patient Inof"].Columns["TFID"]);

            return RetDataSet;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            uiElementViewerDialog1.Show();
            ultraTree1.CreationFilter = new UITree();
            ultraTree1.SetDataBinding(null, string.Empty);
            ultraTree1.DataSource = null;
            ultraTree1.Nodes.Clear();
            ultraTree1.ColumnSettings.Reset();

            ultraTree1.ViewStyle = Infragistics.Win.UltraWinTree.ViewStyle.OutlookExpress;
            ultraTree1.Override.SelectionType = SelectType.Single;
            ultraTree1.ColumnSettings.AutoFitColumns = AutoFitColumns.ResizeAllColumns;
            ultraTree1.ScrollBounds = ScrollBounds.ScrollToFill;
            ultraTree1.ColumnSettings.HeaderStyle = HeaderStyle.XPThemed;
            ultraTree1.SetDataBinding(GenerateDataSet(), "Treatment Fluu");

            UltraTreeColumnSet columnSet = this.ultraTree1.Nodes.ColumnSetResolved;

            //	Set the cell text alignment to 'Middle'
            columnSet.CellAppearance.TextVAlign = VAlign.Middle;

            //	Hide the columns we don't want the end user to see
            columnSet.Columns["ID"].Visible = false;
            //columnSet.Columns["Drug"].CellAppearance = HAlign.Left;
            columnSet.Columns["TFID"].Visible = false;
            
            //columnSet.Columns["FromEmail"].Visible = false;
            
        }

        private void ultraTree1_AfterSelect(object sender, SelectEventArgs e)
        {

        }

        private void ultraTree1_InitializeDataNode(object sender, InitializeDataNodeEventArgs e)
        {
            if (!e.Node.IsRootLevelNode)
            {

                //e.Node
            }
        }
    }
}
